	
	$( document ).ready(function() {

		if ($.isFunction(colorTrTable)) {
			colorTrTable();
		} else {
			function colorTrTable(div) {
				var count = 0;
			
				if (!div) {
					div = '';
				} else {
					div = div+' ';
				}
				
				div = '';
				$(div+'table:not(.noColorLign)>tbody>tr').each(function(){
					if ($(this).is(':visible') && !$(this).hasClass('odd_table_V2') && !$(this).hasClass('even_table_V2')) {
						if (count % 2 == 1)  {
							$(this).addClass('odd_table_V2');
						} else {
							$(this).addClass('even_table_V2');
						}
						count++;
					}
				});
			}
			colorTrTable();
		}
	});
	

	
	$(function () {
  		$('#modal-content [data-toggle="tooltip"]').tooltip();
	});
	 

	$('#modal-content .radio-inline').on('click',function(){
		$('.radio-inline').removeClass('active');
		$(this).addClass('active');
	
	});
	
	$('#modal-content #filtre_fournisseur [data-toggle="collapse"]').on('click',function(){
		if($('#filtre_avances').css('display') === "none"){
			$(this).html($('#retract').val());
			
		} else {
			$(this).html($('#advancedFilters').val());

		}
	});
	$('#modal-content #filtre_commandes [data-toggle="collapse"]').on('click',function(){
		if($('#filtre_avances').css('display') === "none"){
			$(this).html($('#retract').val());
			
		} else {
			$(this).html($('#advancedFilters').val());

		}
	});
	
	$('#modal-content #filtre_facture [data-toggle="collapse"]').on('click',function(){
		if($('#filtre_avances').css('display') === "none"){
			$(this).html($('#retract').val());
			
		} else {
			$(this).html($('#advancedFilters').val());

		}
	});
	
	$('#modal-content #filtre_marche [data-toggle="collapse"]').on('click',function(){
		if($('#filtre_avances').css('display') === "none"){
			$(this).html($('#retract').val());
			
		} else {
			$(this).html($('#advancedFilters').val());

		}
	});
	
	$('#modal-content .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');

		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_ligne').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );

		}	
	});



	$('#modal-content .loupe').unbind('click');
	
	$('#modal-content .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');

		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_ligne').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );

		}	
	});

	
		
		
		
		
	$('#modal-content .switch input').click(function() {
		if ($(this).is(':checked')== true){
			$(this).parent().find('.value_switch').text('Oui');
		} else {
			$(this).parent().find('.value_switch').text('Non');

		}
        
    });
	

			
	$('#modal-content .switchV2 input').click(function() {
			if ($(this).is(':checked')== true){
				$(this).parent().find('.value_switch').text($(this).data('oui'));
			} else {
				$(this).parent().find('.value_switch').text($(this).data('non'));
	
			}
			
		});


	$('#modal-content #historique .voir_plus').click(function() {
		
		$('.autres_periodes').css('display','table-row');
		$('.cumul_periodes').hide();
		$(this).parent('.lignes_supplementaires').hide();
        
    });
	
	$('#modal-content .ajouter_contact').click(function(){
		$('.contact_supplementaire').show();
	});
	


	 $("#modal-content .parametrage").click(function(){
		 var ss_parametre = $(this).parent().find('ul');
		 var picto = $(this).parent().find('.parametre');
		 $('#modal-content .parametre').removeClass('ouvert');
		 $('#modal-content .parametre').addClass('ferme');
		 $('#modal-content .parametrage ul').hide();
		 $(picto).removeClass('ferme');
		 $(picto).addClass('ouvert');
		 $(ss_parametre).toggle(200);
		 $(ss_parametre).addClass('activate');

		 $('#modal-content .ss_parametres li a').click(function(){
			 	$(this).parent().find('ul').hide();
			 	$(this).parent().find('ul').removeClass('activate');
			 	$(this).parent().find('.parametre').removeClass('ouvert');
			 	$(this).parent().find('.parametre').addClass('ferme');
		});
		 $(this).mouseleave(function(){
			// console.log('je pars')
			 var to = setTimeout(function() { 
				    $(ss_parametre).hide(500);
				    $(ss_parametre).removeClass('activate');
					$(picto).removeClass('ouvert');
					$(picto).addClass('ferme');
			 	}, 1000);
			
			 $(this).on('mouseover',function(){
				// console.log('je reste');
				 clearTimeout(to); 
			 });
		 });
		 

	 }); 
    
 
  